Subject: bug#44675: closed (Re: bug#44675: guix lint: support for spellchecker or basic grammar)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Oct 2021 21:42:02 +0000

Your bug report

#44675: guix lint: support for spellchecker or basic grammar

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44675: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44675
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44675: guix lint: support for spellchecker or basic grammar
From: Vagrant Cascadian <[email-masked]>
To: zimoun <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Sun, 24 Oct 2021 14:41:20 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2021-10-24, Vagrant Cascadian wrote:
> On 2021-10-24, zimoun wrote:
>> On Sun, 24 Oct 2021 at 04:22, Vagrant Cascadian <[email-masked]> wrote:
>>>   "This packages", "This modules", "allows to" and "permits to" in package
>>>   descriptions.
>>> * tests/lint.scm: Add tests for "This packages" and "allows to".
>>> ---
>>>  guix/lint.scm  | 19 +++++++++++++++++++
>>>  tests/lint.scm | 14 ++++++++++++++
>>>  2 files changed, 33 insertions(+)
>>
>> Otherwise, LGTM.
>
> Shall I fix the above typo (the irony!) and push before we get any more
> of these typos in the repository? :)

Pushed to master as b5f45a21c27b80210753e184e52708bb75a347bb.

Thanks for all your help!

live well,
  vagrant

Subject: guix lint: support for spellchecker or basic grammar
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Sun, 15 Nov 2020 17:53:53 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Please consider a guix lint description/synopsis check for basic
spelling, typo and rudimentary grammar issues.

Most of the ones I've found were caught by debian's "lintian" tool:

  https://tracker.debian.org/lintian

Common issues appear to be:

  "This packages" -> "This package"
  "allows to X" -> "Xs" or "Xing"

I've fixed many of these in the past:

  git log --author=vagrant --extended-regexp --grep='spelling|typo|grammar' --patch

But some of the very same patterns keep reappearing!

Many of these are likely to be caught by most spell checking routines;
I'm not sure if there is anything that would be implementable in pure
guile, or it if would make sense to call out to an external
spellchecker.

Some of them might be harder, and obviously we do not want too many
false positives, but no need to get perfectionist on solving this; even
just checking for "This packages" would haved detected many of these
issues!

That is, of course, if "guix lint" is being used consistently... :)

live well,
  vagrant